Alien Arena Official Forums
OSX version Available? - Printable Version

+- Alien Arena Official Forums (http://red.planetarena.org/forum)
+-- Forum: Community (http://red.planetarena.org/forum/forumdisplay.php?fid=1)
+--- Forum: General Discussion (http://red.planetarena.org/forum/forumdisplay.php?fid=2)
+--- Thread: OSX version Available? (/showthread.php?tid=2169)



OSX version Available? - ToastRawr - 11-06-2016

What's up guys, long time.


I was wondering if there is an OSX version out for Alien Arena? So I can run it on my macbook?

http://red.planetarena.org/aquire.html#

Says it's for LINUX/UNIX/OSX but it gives me a tar.gz on OSX but doesn't have any installer file for OSX.


RE: OSX version Available? - Max - 11-07-2016

Our Autotools has a Darwin target that hasn't been updated in ages and may not work anymore. Someone should really just fix the web page.


RE: OSX version Available? - ToastRawr - 11-08-2016

That would seem useful haha


RE: OSX version Available? - DeathRay - 11-08-2016

Well, I'd hesitate to remove the text about OSX support, until at least someone can confirm it no longer works. If it doesn't, perhaps someone should fix it, though I expect there is very little interest in OSX native games these days.


RE: OSX version Available? - Max - 11-08-2016

People looking for an OS X version are not looking to compile something themselves.


RE: OSX version Available? - ToastRawr - 11-16-2016

Used gunzip and created the tarball alienarena-7.66. Cd'ed into the folder and tried to run ./configure but returned error saying required JPEG library not found. Make command doesn't seem to work, or make install. I'm following the README simple install which is very straight forward, don't know what could be the issue.[attachment=126][attachment=125]


RE: OSX version Available? - Kyxynox - 11-23-2016

Try to install manually the needed libraries, idk how to do that on a mac, but on Linux I'm sure it works. Smile
(11-16-2016, 06:23 AM)ToastRawr Wrote: Used gunzip and created the tarball alienarena-7.66. Cd'ed into the folder and tried to run ./configure but returned error saying required JPEG library not found. Make command doesn't seem to work, or make install. I'm following the README simple install which is very straight forward, don't know what could be the issue.